# Class RefFlatReader

java.lang.Object
picard.annotation.RefFlatReader

public class RefFlatReader extends Object
Loads gene annotations from a refFlat file into an OverlapDetector<Gene>. Discards annotations that are not internally consistent, e.g. transcripts on different chromosomes or different strands.

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static enum`
`RefFlatReader.RefFlatColumns`

## Method Summary

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`